<!DOCTYPE html>
  <html ng-app='game-app'>
    <head>
      <!--Import Google Icon Font-->
      <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
      <!--Import materialize.css-->
      <link type="text/css" rel="stylesheet" href="css/materialize.css"  media="screen,projection"/>
      <link rel="stylesheet" href="css/style.css">

      <!--Let browser know website is optimized for mobile-->
      <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
      <script src="angular.min.js"></script>
      <title>Game</title>
    </head>

    <body>   
    	<navigation></navigation>
		  <div class="container">
		  	<!-- Featured Games -->
		  	 <div class="row featured-games" ng-controller="featuredGames">
		  	 	<h4>Featured games</h4>
			    <featured-games></featured-games>
			 </div>
			<!-- Top5 games of each category -->
			 <div class="row top5" ng-controller="top5">
			 	<div ng-repeat="category in categories" class="col m4">
			 		<h4>{{category.name}}</h4>
			 		<ul class="collection">
					    <li ng-repeat="game in category.games" class="collection-item avatar valign-wrapper" ng-click="directing('{{game.link}}')">
					      <img src="images/{{game.image}}" alt="" class="circle valign-wrapper">
					      <span class="title">{{game.name}}</span>
					      <span class="rating">
					      	<i ng-repeat="n in [] | range:game.rating" class="secondary-content valign-wrapper material-icons">grade</i>
					      </span>
					    </li>					    
					  </ul>
			 	</div>
			 </div>
		  </div>
      <!--Import jQuery before materialize.js-->
      <script type="text/javascript" src="https://code.jquery.com/jquery-3.2.1.min.js"></script>
      <script type="text/javascript" src="js/bin/materialize.js"></script>
      <script src="main.js"></script>
      <script>
      	$(document).ready(function(){
      		 $(".button-collapse").sideNav();
      		  $('input.autocomplete').autocomplete({
			    data: {
			      "Apple": null,
			      "Microsoft": null,
			      "Google": 'https://placehold.it/250x250'
			    },
			    limit: 20, // The max amount of results that can be shown at once. Default: Infinity.
			    onAutocomplete: function(val) {
			      // Callback function when value is autcompleted.
			    },
			    minLength: 1, // The minimum length of the input for the autocomplete to start. Default: 1.
			  });
      	});
      </script>
    </body>
  </html>
        